LDAP Linux HOWTO
Prev | Chapter 6. Additional Information and Features | Next

# 6.5. Logs

Slapd uses the syslog(8) facility to generate logs. The default user of the syslog(8) facility is LOCAL4, but values from LOCAL0, LOCAL1, up to LOCAL7 are allowed.

In order to enable the generation of logs you have to edit your syslog.conf file, usually located in the /etc directory.

Create a line like this:

    local4.*     /usr/adm/ldaplog

This will use the default user LOCAL4 for the syslog facility. If you are not familiar with the syntax of this line, take a look at the man pages of syslog, syslog.conf and syslogd. If you want to specify the level of the logs generated or to change the default user, you have the following options while starting slapd:

    -s syslog-level

This option tells slapd at what level debugging statements should be logged to the syslog(8) facility. The level describes the severity of the message, and is a keyword from the following ordered list (higher to lower): emerg, alert, crit, err, warning, notice, info, and debug. Ex: slapd -f myslapd.conf -s debug

    -l syslog-local-user

Selects the local user of the syslog(8) facility. Values can be LOCAL0, LOCAL1, and so on, up to LOCAL7. The default is LOCAL4. However, this option is only permitted on systems that support local users with the syslog(8) facility.

Now take a look at the logs generated (/usr/adm/ldaplog in the example). They can help you tremendously in solving problems with queries, updates, binding, etc.

Prev | Home | Next
Graphical LDAP tools | Up | References